> For the complete documentation index, see [llms.txt](https://docs.tonic.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tonic.ai/textual/tonic-textual-api/textual-python-sdk/datasets-redaction/redact-audio-file.md).

# Transcribe and redact an audio file

You can send an audio file to the Tonic Textual SDK. Textual creates a transcription of the audio file, and then redacts the transcription text as a string.

## Audio file limitations

The file must be 25MB or smaller, and must be one of the following file types:

* m4a
* mp3
* webm
* mp4
* mpga
* wav

## Sending the transcription and redaction request

To transcribe and redact an audio file, you use [`textual.redact_audio_file`](https://tonic-textual-sdk.readthedocs-hosted.com/en/latest/audio/api.html#tonic_textual.audio_api.TextualAudio.redact_audio_file).

<pre class="language-python" data-overflow="wrap"><code class="lang-python"><strong>redaction_response=textual.redact_audio(&#x3C;path to the audio file>)
</strong><strong>redaaction_response.describe
</strong></code></pre>

The request includes the [entity type handling configuration](/textual/tonic-textual-api/textual-python-sdk/datasets-redaction/api-redaction-entity-type-handling.md).

The [redaction response](/textual/tonic-textual-api/textual-python-sdk/datasets-redaction/textual-api-redact-strings.md#api-redact-string-response-format) includes the redacted or synthesized content and details about the detected entity values.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tonic.ai/textual/tonic-textual-api/textual-python-sdk/datasets-redaction/redact-audio-file.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
